Skip to main content
GET
Get Token Holders

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

token_address
string
required

The token contract address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Query Parameters

sort_by
enum<string>
default:most_holdings

Sort order for results.

Available options:
most_holdings,
least_holdings
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination to retrieve the next set of results.

Response

Successfully retrieved token holders.

holders
object[]
required
token
object
required
total_holders
integer<int64>
required
Example:

1000

next_cursor
string
Example:

"ICJkYXNkYXMifQ=="